#include <stdlib.h>

#include <l3tde/map/node.h>
#include <l3tde/map/terrain.h>

L3TDEMapNodePtr
l3tde_map_node_create (const L3TDEMapTerrainPtr terrain,
        L3TDEMapNodeNavigation navigation) {
    L3TDEMapNodePtr self = malloc (sizeof *self);

    self->terrain = terrain;
    self->navigation = navigation;

    return self;
}

void
l3tde_map_node_destroy (L3TDEMapNodePtr self) {
    free (self);
}
