#pragma once

#include <stdbool.h>

#include <l3tde/map/interface.h>

typedef struct {
    L3TDEMapPtr parent;
    size_t destination_map;
    bool can_be_crossed;
    size_t location_x, location_y;
    size_t destination_warp_number;
} L3TDEMapWarp;
typedef L3TDEMapWarp *L3TDEMapWarpPtr;

L3TDEMapWarpPtr
l3tde_map_warp_create (L3TDEMapPtr parent,
        size_t destination_map,
        bool can_be_crossed,
        size_t location_x, size_t location_y,
        size_t destination_warp_number);

void
l3tde_map_warp_destroy (L3TDEMapWarpPtr warp);
