#pragma once

#include <l3tde/map/terrain.h>
#include <l3tde/map.h>

typedef struct {
    L3TDEMapTerrainPtr *terrains;
    size_t terrains_len;
    char **map_files;
    size_t map_files_len;
} L3TDEOverworld;

typedef L3TDEOverworld * L3TDEOverworldPtr;

L3TDEOverworldPtr
l3tde_overworld_create (void);

L3TDEMapPtr
l3tde_overworld_get_map (L3TDEOverworldPtr self,
        size_t map_number);
